# MovingAverage library

The MovingAverage library provides a template class for implementing various types of moving average filters in Arduino projects. It supports Simple Moving Average (SMA), Cumulative Average (CA), Weighted Moving Average (WMA), and Exponential Moving Average (EMA) calculations.

Both window size and smoothing factor are customizable for different types of averages. Moreover, the data types of the filter input and output can be chosen by the user, as the template class allows this flexibility.

To use this library:

```Arduino
#include <MovingAverage.h>
```

## Installation

1. Download the MovingAverage library ZIP file from the [latest release](https://github.com/maximiliankautzsch/MovingAverage/releases/latest).
2. In the Arduino IDE, navigate to `Sketch > Include Library > Add .ZIP Library`.
3. Select the downloaded ZIP file and click `Open`.
4. The library should now be installed and ready to use.
